### Function

# Cogl PrimitiveAttributeCallback

#### Declaration

    gboolean
    (* CoglPrimitiveAttributeCallback) (
      CoglPrimitive* primitive,
      CoglAttribute* attribute,
      void* user_data
    )

#### Description [src]

The callback prototype used with `cogl_primitive_foreach_attribute()` for iterating all the attributes of a `CoglPrimitive`.

The function should return TRUE to continue iteration or FALSE to stop.

#### Parameters

`primitive`

  Type: `CoglPrimitive`

  The `CoglPrimitive` whose attributes are being iterated.

  The data is owned by the caller of the function.

`attribute`

  Type: `CoglAttribute`

  The `CoglAttribute`.

  The data is owned by the caller of the function.

`user_data`

  Type: `void*`

  The private data passed to cogl_primitive_foreach_attribute().

  The argument can be `NULL`.
  The data is owned by the caller of the function.

#### Return value

Type: `gboolean`

No description available.